<template>
  <b-modal id="modal-auth" hide-footer centered body-class="mobile-search-body">
    <template slot="modal-title">
      <button type="button" class="back-icon bg-transparent border-0 pl-0" v-if="sectionType != 'welcome'" @click="back()">
        <i class="fas fa-chevron-left" aria-hidden="true"></i>
      </button>
    </template>

    <section class="container">
      <div class="row justify-content-center">
        <div class="col col-md-11">
          <div class="text-center logo-container">
            <img
              :src="appConfig.logo"
              alt="Logo"
            />
          </div>
          <h3 class="font-weight-bold subtitle text-center mt-3">
            ¡Bienvenido de nuevo!
          </h3>

          <div class="main mt-4">
            <section v-if="sectionType === 'welcome'">
              <button type="button" class="button button-facebook mb-3">
                <i class="fab fa-facebook-f"></i>
                Ingresar con Facebook
              </button>

              <button type="button" class="button button-google mb-3">
                <i class="fab fa-google"></i>
                Ingresar con Google
              </button>

              <button type="button" class="button button-email mb-3" @click="sectionType = 'login'">
                <i class="far fa-envelope"></i>
                Ingresar con Correo electrónico
              </button>
            </section>

            <FormLogin v-if="sectionType === 'login'" />

            <FormRegister v-if="sectionType === 'register'" />
          </div>

          <div
            class="alert alert-light custom-alert px-1"
            v-if="sectionType === 'welcome'"
          >
            Recuerda que al ingresar o registrarte aceptas nuestros
            <nuxt-link to="">Términos y Condiciones</nuxt-link>
          </div>

          <p class="text text-center mt-5" v-show="sectionType === 'login'">
            ¿No tienes una cuenta?
            <a href="" class="text-success" @click.prevent="sectionType = 'register'">Regístrate</a>
          </p>

          <p class="text text-center mt-5" v-show="sectionType === 'register'">
            ¿Tienes una cuenta?
            <a href="" class="text-success" @click.prevent="sectionType = 'login'">Ingresa aquí</a>
          </p>
        </div>
      </div>
    </section>
  </b-modal>
</template>

<script>
import { appConfig } from '@/app-config.js'

import FormLogin from './FormLogin.vue'
import FormRegister from './FormRegister.vue'

export default {
  name: 'AuthModal',
  data() {
    return {
      appConfig,
      sectionType: "welcome",
    };
  },
  components: {
    FormLogin,
    FormRegister
  },
  methods: {
    back() {
      switch(this.sectionType) {
        case 'register':
          this.sectionType = 'login'
          break
        case 'login':
          this.sectionType = 'welcome'
          break
      }
    }
  }
};
</script>

<style lang="scss" scoped>
@import "~/assets/scss/variables";

.back-icon {
  font-size: .9em;
  color: rgba($dark, 0.8);
}

.logo-container {
  img {
    width: 180px;
    max-height: 55px;
  }
}

.subtitle {
  font-size: 1.2em;
}

.button {
  width: 100%;
  min-height: 44px;
  display: grid;
  grid-template-columns: 40px 1fr;
  align-items: center;
  font-size: 14px;
  color: white;
  letter-spacing: 0.5px;
  border: none;
  border-radius: 4px;

  &-facebook {
    background-color: rgba(#3083dc, 0.95);

    &:hover {
      background-color: #3083dc;
    }
  }

  &-google {
    background-color: rgba(#e93f3b, 0.95);

    &:hover {
      background-color: rgba(#e93f3b, 0.95);
    }
  }

  &-email {
    background-color: rgba(#21a332, 0.95);

    &:hover {
      background-color: rgba(#21a332, 0.95);
    }
  }
}

.custom-alert {
  font-size: 14px;
  color: rgba($dark, 0.9);
}

.text {
  font-size: 0.9em;
}
</style>